<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.role.list_access' | translate}}</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-4 col-xl-4 form-group text-left">
                <label class="col-form-label">{{'epdb.role.list_access_role' | translate}}</label>
                <select class="form-control" (change)="getAccess($event.target.value)" [(ngModel)]="Name">
                    <option value="">-- {{'general.select' | translate}} --</option>
                    <option *ngFor="let item of rolelist" value={{item.Name}}>{{item.Name}}</option>
                </select>
            </div>
            <div class="col-md-6 col-xl-6"></div>
            <div class="col-md-2 col-xl-2 form-group mt-4 text-right">
                <label class="col-form-label">&nbsp;</label>
                <button type="button" [routerLink]="['/role/add-role']" class="btn btn-primary btn-md text-center">
                    <i class="icofont icofont-ui-add"></i> {{'epdb.role.btn_add_role' | translate}}</button>
            </div>

            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table" [mfData]="listAccess | dataFilter : filterQuery"
                    #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="70%">{{'epdb.role.sub_menu' | translate}}</th>
                            <th width="10%">{{'epdb.role.access' | translate}}</th>
                            <th width="10%">{{'general.chck_write' | translate}}</th>
                            <th width="10%">{{'general.chck_delete' | translate}}</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="listAccess!=null">
                        <tr *ngFor="let item of mf.data">
                            <td class="text-left">{{item.menu}}</td>
                            <!-- Access -->
                            <td class="text-center">
                                <div class="checkbox-fade fade-in-primary" *ngIf="item.read_url != 'xxx';else nothing">
                                    <label>
                                        <input type="checkbox" (change)="selectedAccess($event.target.checked,item.read_url)" *ngIf="item.read_value == '11111'" checked="checked">
                                        <input type="checkbox" (change)="selectedAccess($event.target.checked,item.read_url)" *ngIf="item.read_value == '00000'">
                                        <span class="cr">
                                            <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                                        </span>
                                    </label>
                                </div>
                                <ng-template #nothing>-</ng-template>
                            </td>
                            <!-- Write -->
                            <td class="text-center">
                                <div class="checkbox-fade fade-in-primary" *ngIf="item.write_url != 'xxx';else nothing">
                                    <label>
                                        <input type="checkbox" (change)="selectedAccess($event.target.checked,item.write_url)" *ngIf="item.write_value == '11111'" checked="checked">
                                        <input type="checkbox" (change)="selectedAccess($event.target.checked,item.write_url)" *ngIf="item.write_value == '00000'">
                                        <span class="cr">
                                            <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                                        </span>
                                    </label>
                                </div>
                                <ng-template #nothing>-</ng-template>
                            </td>
                            <!-- Delete -->
                            <td>
                                <div class="checkbox-fade fade-in-primary" *ngIf="item.delete_url != 'xxx';else nothing">
                                    <label>
                                        <input type="checkbox" (change)="selectedAccess($event.target.checked,item.delete_url)" *ngIf="item.delete_value == '11111'" checked="checked">
                                        <input type="checkbox" (change)="selectedAccess($event.target.checked,item.delete_url)" *ngIf="item.delete_value == '00000'">
                                        <span class="cr">
                                            <i class="cr-icon icofont icofont-ui-check txt-primary"></i>
                                        </span>
                                    </label>
                                </div>
                                <ng-template #nothing>-</ng-template>
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="listAccess!=null">
                            <td colspan="6">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="listAccess==null">
                            <td colspan="6" class="text-center">{{'general.loading_data' | translate}}</td>
                        </tr>
                        <tr *ngIf="listAccess==''">
                            <td colspan="6" class="text-center">{{'general.data_empty' | translate}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>